public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-arch/libarchive-qt/
Date: Sat, 27 Feb 2021 21:14:52 +0000 (UTC)	[thread overview]
Message-ID: <1614460484.67aa20071b773e4bce1b5d2e917a63b0a3d29216.andrewammerlaan@gentoo> (raw)

commit:     67aa20071b773e4bce1b5d2e917a63b0a3d29216
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Feb 27 21:14:44 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Feb 27 21:14:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=67aa2007

app-arch/libarchive-qt: fix ignoring lib install path

Closes: https://github.com/gentoo/guru/issues/42
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild b/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild
index ff6dfb33..b2e5605f 100644
--- a/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild
+++ b/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild
@@ -30,6 +30,18 @@ DEPEND="
 "
 RDEPEND="${DEPEND}"
 
+src_prepare() {
+	default
+
+	# remove override of the libpath
+	sed -i -e '/^	target.path/d' lib/shared.pro || die
+	sed -i -e '/^	target.path/d' lib/static.pro || die
+
+	# fix prefix of lib files
+	sed -i -e 's/$$INSTALL_PREFIX/$$PREFIX/g' lib/shared.pro || die
+	sed -i -e 's/$$INSTALL_PREFIX/$$PREFIX/g' lib/static.pro || die
+}
+
 src_configure() {
 	local lib="$(get_libdir)"
 	# '^^' because we need to upcase the definition
@@ -38,5 +50,5 @@ src_configure() {
 
 src_install() {
 	einstalldocs
-	emake INSTALL_ROOT="${D}" install
+	emake INSTALL_ROOT="${ED}" install
 }


WARNING: multiple messages have this Message-ID (diff)
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-arch/libarchive-qt/
Date: Sat, 27 Feb 2021 21:23:54 +0000 (UTC)	[thread overview]
Message-ID: <1614460484.67aa20071b773e4bce1b5d2e917a63b0a3d29216.andrewammerlaan@gentoo> (raw)
Message-ID: <20210227212354.WZve0lfjen46WSVK2gAU1cAXSIa6eMukRyV2USWpRrg@z> (raw)

commit:     67aa20071b773e4bce1b5d2e917a63b0a3d29216
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Feb 27 21:14:44 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Feb 27 21:14:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=67aa2007

app-arch/libarchive-qt: fix ignoring lib install path

Closes: https://github.com/gentoo/guru/issues/42
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild b/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild
index ff6dfb33..b2e5605f 100644
--- a/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild
+++ b/app-arch/libarchive-qt/libarchive-qt-2.0.2.ebuild
@@ -30,6 +30,18 @@ DEPEND="
 "
 RDEPEND="${DEPEND}"
 
+src_prepare() {
+	default
+
+	# remove override of the libpath
+	sed -i -e '/^	target.path/d' lib/shared.pro || die
+	sed -i -e '/^	target.path/d' lib/static.pro || die
+
+	# fix prefix of lib files
+	sed -i -e 's/$$INSTALL_PREFIX/$$PREFIX/g' lib/shared.pro || die
+	sed -i -e 's/$$INSTALL_PREFIX/$$PREFIX/g' lib/static.pro || die
+}
+
 src_configure() {
 	local lib="$(get_libdir)"
 	# '^^' because we need to upcase the definition
@@ -38,5 +50,5 @@ src_configure() {
 
 src_install() {
 	einstalldocs
-	emake INSTALL_ROOT="${D}" install
+	emake INSTALL_ROOT="${ED}" install
 }


             reply	other threads:[~2021-02-27 21:15 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-27 21:14 Andrew Ammerlaan [this message]
2021-02-27 21:23 ` [gentoo-commits] repo/proj/guru:master commit in: app-arch/libarchive-qt/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2024-08-21 15:26 [gentoo-commits] repo/proj/guru:dev " Takuya Wakazono
2024-08-21 15:26 Takuya Wakazono
2024-08-21 15:26 Takuya Wakazono
2022-03-06  1:39 Aisha Tammy
2022-02-13 20:24 [gentoo-commits] repo/proj/guru:master " Arthur Zamarin
2022-02-13 20:07 ` [gentoo-commits] repo/proj/guru:dev " Arthur Zamarin
2022-02-13 20:07 Arthur Zamarin
2021-11-28 17:10 Maciej Barć
2021-10-20 23:34 Maciej Barć
2021-09-20 13:38 [gentoo-commits] repo/proj/guru:master " Arthur Zamarin
2021-09-20 13:35 ` [gentoo-commits] repo/proj/guru:dev " Arthur Zamarin
2021-04-15 15:21 Maciej Barć
2021-04-13  6:08 Maciej Barć
2021-04-13  6:08 Maciej Barć
2021-04-12 21:10 Maciej Barć
2021-01-11 18:15 Maciej Barć
2021-01-11 18:13 Maciej Barć
2020-11-30 11:17 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1614460484.67aa20071b773e4bce1b5d2e917a63b0a3d29216.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox